[arch-commits] Commit in python-qiniu/repos (2 files)
Felix Yan
felixonmars at gemini.archlinux.org
Fri Dec 3 00:38:22 UTC 2021
Date: Friday, December 3, 2021 @ 00:38:21
Author: felixonmars
Revision: 1063921
archrelease: copy trunk to community-staging-any
Added:
python-qiniu/repos/community-staging-any/
python-qiniu/repos/community-staging-any/PKGBUILD
(from rev 1063918, python-qiniu/trunk/PKGBUILD)
----------+
PKGBUILD | 35 +++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
Copied: python-qiniu/repos/community-staging-any/PKGBUILD (from rev 1063918, python-qiniu/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2021-12-03 00:38:21 UTC (rev 1063921)
@@ -0,0 +1,35 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-qiniu
+pkgver=7.5.0
+pkgrel=2
+pkgdesc="Qiniu Resource Storage SDK for Python"
+arch=('any')
+url='https://github.com/qiniu/python-sdk'
+license=('MIT')
+depends=('python-requests' 'python-setuptools')
+checkdepends=('python-pytest-runner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/qiniu/python-sdk/archive/v$pkgver.tar.gz")
+sha512sums=('20644c685bb4a2fe3978cd136e119925b498ab6ce1bb9b7c2b3c8f127649bff4e07d4a60018b92e6700abe6afe38ed752475c1af540acbbba373411aa9505ded')
+
+build() {
+ cd python-sdk-$pkgver
+ python setup.py build
+}
+
+check() {
+ # Extracted from .travis.yml
+ export QINIU_TEST_BUCKET="pythonsdk"
+ export QINIU_TEST_DOMAIN="pythonsdk.qiniudn.com"
+ export QINIU_TEST_ENV="travis"
+
+ cd python-sdk-$pkgver
+ python setup.py pytest || echo "Tests failed"
+}
+
+package() {
+ cd python-sdk-$pkgver
+ python setup.py install -O1 --root "$pkgdir"
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list